commit: 532806c213e48f7e76ac07ee771f4ee2ffc59ca7
Author: Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp
<DOT> ua>
AuthorDate: Sun Jan 20 13:34:15 2019 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 3 14:07:54 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=532806c2
x11-misc/libinput-gestures: version bump to 2.41
Signed-off-by: Vladimir Pavljuchenkov <spiderx <AT> spiderx.dp.ua>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
x11-misc/libinput-gestures/Manifest | 1 +
.../libinput-gestures-2.41.ebuild | 56 ++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/x11-misc/libinput-gestures/Manifest
b/x11-misc/libinput-gestures/Manifest
index 9468b3190dd..e9186e7d121 100644
--- a/x11-misc/libinput-gestures/Manifest
+++ b/x11-misc/libinput-gestures/Manifest
@@ -1 +1,2 @@
DIST libinput-gestures-2.40.tar.gz 18082 BLAKE2B
ef01449a6fa381361876909487460f2a11e86887b1a3885b1459c218206e80d76ccf53dbebe39d39c360bee5da7a32028673d2165c244df584ae6e8078957d33
SHA512
70c22f7225f4a1f7e0a4d0a83f84370f2649ef01d9a72756b2d4bb4be92ac2265c9aff9302642609065da0e1769b719f616e2d8ee843aca01ce66f1891732890
+DIST libinput-gestures-2.41.tar.gz 18098 BLAKE2B
792ebab29cb5ea24cbb696eac6ed651632db4079d8470784f45a1055d99c9672f8bfa7e8ddc08b80417c91a47f540fdf13f7a071c73bb7a654ce66508f181a38
SHA512
7f718275d5b4b722df52adb597f0344427500ca730c154cf6fd3de2f06d7081e6214cc954addc34594f17f10c70d081fecbfc1a22d16726b6ea820019dae6d83
diff --git a/x11-misc/libinput-gestures/libinput-gestures-2.41.ebuild
b/x11-misc/libinput-gestures/libinput-gestures-2.41.ebuild
new file mode 100644
index 00000000000..e82dec9b3e7
--- /dev/null
+++ b/x11-misc/libinput-gestures/libinput-gestures-2.41.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4..7} )
+
+inherit gnome2-utils python-single-r1
+
+DESCRIPTION="Actions gestures on your touchpad using libinput"
+HOMEPAGE="https://github.com/bulletmark/libinput-gestures"
+if [[ ${PV} == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/bulletmark/${PN}.git"
+else
+ SRC_URI="https://github.com/bulletmark/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-libs/libinput-1.8.0
+ x11-misc/xdotool
+ x11-misc/wmctrl"
+DEPEND=">=dev-libs/libinput-1.8.0
+ dev-util/desktop-file-utils"
+
+src_prepare() {
+ default
+
+ # Fix docdir installation path
+ sed '/^DOCDIR/s@$NAME@${PF}@' -i libinput-gestures-setup || die
+}
+
+src_test() { :; }
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ elog "You must be in the input group to read the touchpad device."
+
+ if ! has_version x11-libs/gtk+:3 ; then
+ elog "${PN}-setup script supports Gnome 3 via x11-libs/gtk+:3."
+ fi
+ if ! has_version kde-plasma/kde-cli-tools:5 ; then
+ elog "${PN}-setup script supports Plasma 5 via
kde-plasma/kde-cli-tools:5."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}